Bug 111091 - libwnck-devel should Requires: startup-notification-devel
Summary: libwnck-devel should Requires: startup-notification-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libwnck   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-27 12:10 UTC by Maxim Dziumanenko
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version: 2.5.90-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 16:51:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2003-11-27 12:10:46 UTC
Description of problem:
pkgconfig/libwnck-1.0.pc(from libwnck-devel package) includes
references to startup-notification

Version-Release number of selected component (if applicable):
libwnck-2.4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1.rpm -i libwnck-devel-2.4.0.1-1.i386.rpm
2.rpm -e startup-notification-devel
3.rpmbuild --rebuild gok-0.7.1-4.src.rpm (it requires libwnck-devel,
but does't directly depend on startup-notification)
4. Wait for build errors

  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-11-27 18:02:12 UTC
Triage->Easyfix

Comment 2 Mark McLoughlin 2004-03-22 16:51:36 UTC
Fix was actually to remove the explicit startup-notification
dependancy from the .pc file as its not neccessary. Fixed upstream and
in libwnck-2.5.90-3. 

Thanks :-)


Note You need to log in before you can comment on or make changes to this bug.